> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# getPaidEmployeesCountBasedOnDateRange

> 
The `getPaidEmployeesCountBasedOnDateRange` API returns the total count of employees who received payment within a specified date range.

### What it does:

- Returns the number of employees paid during a specific time period




## OpenAPI

````yaml get /reports/getPaidEmployeesCountBasedOnDateRange
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers: []
security:
  - basic: []
tags: []
paths:
  /reports/getPaidEmployeesCountBasedOnDateRange:
    get:
      tags: []
      summary: getPaidEmployeesCountBasedOnDateRange
      description: >

        The `getPaidEmployeesCountBasedOnDateRange` API returns the total count
        of employees who received payment within a specified date range.


        ### What it does:


        - Returns the number of employees paid during a specific time period
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                  default: getPaidEmployeesCountBasedOnDateRange
                  title: getPaidEmployeesCountBasedOnDateRange
                  example: getPaidEmployeesCountBasedOnDateRange
                startDate:
                  type: string
                endDate:
                  type: string
                companyId:
                  type: string
              required:
                - method
                - companyId
                - startDate
                - endDate
            example:
              method: getPaidEmployeesCountBasedOnDateRange
              companyId: A7FC17FF-B50E-4A89-97DC-D900F3327D8E
              startDate: '2024-01-01'
              endDate: '2024-04-20'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    filterStartDate:
                      type: string
                    filterEndDate:
                      type: string
                    companies:
                      type: array
                      items:
                        type: object
                        properties:
                          company:
                            type: string
                          companyId:
                            type: string
                          paidEmployeesDistinctCount:
                            type: integer
                          payPeriods:
                            type: array
                            items:
                              type: object
                              properties:
                                payPeriod:
                                  type: string
                                payDate:
                                  type: string
                                paidEmployeesCount:
                                  type: integer
                                employees:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      employee:
                                        type: string
                                      employeeId:
                                        type: string
                                    required:
                                      - employee
                                      - employeeId
                              required:
                                - payPeriod
                                - payDate
                                - paidEmployeesCount
                                - employees
                        required:
                          - companyId
                          - company
              example:
                - filterStartDate: '2024-01-01'
                  filterEndDate: '2024-04-20'
                  companies:
                    - company: ' WonderHub Inc'
                      companyId: A7FC17FF-B50E-4A89-97DC-D900F3327D8E
                      paidEmployeesDistinctCount: 1
                      payPeriods:
                        - payPeriod: 02/26/2024 - 03/10/2024
                          payDate: '2024-02-26'
                          paidEmployeesCount: 1
                          employees:
                            - employee: David  Martin
                              employeeId: 149B7B64-25AE-4AFB-8032-3BEC18B1B656
                        - payPeriod: 03/11/2024 - 03/24/2024
                          payDate: '2024-03-11'
                          paidEmployeesCount: 1
                          employees:
                            - employee: David  Martin
                              employeeId: 149B7B64-25AE-4AFB-8032-3BEC18B1B656
                        - payPeriod: 03/25/2024 - 04/07/2024
                          payDate: '2024-03-25'
                          paidEmployeesCount: 1
                          employees:
                            - employee: David  Martin
                              employeeId: 149B7B64-25AE-4AFB-8032-3BEC18B1B656
                        - payPeriod: 04/08/2024 - 04/21/2024
                          payDate: '2024-04-08'
                          paidEmployeesCount: 1
                          employees:
                            - employee: David  Martin
                              employeeId: 149B7B64-25AE-4AFB-8032-3BEC18B1B656
          headers: {}
      deprecated: false
      security:
        - basic: []
components:
  securitySchemes:
    basic:
      type: http
      scheme: basic

````